// 递归导入所有文件夹下的所有 JS 文件
const files = import.meta.glob('./**/*.js', { eager: true });
let api = {};

Object.keys(files).forEach((key) => {
  const fileName = key.replace(/(.*\/)*([^.]+).*/gi, '$2'); // 提取文件名
  api = {
    ...api,
    [fileName]: files[key].default,
  };
});
// console.log(api);
export default api;